| MAXREFDES82# Code Documentation V01.00 Maxim Smart Force Sensor

- Main Page
- Modules
- Files

- File List
- Globals

All Files Functions Variables Macros Groups Pages
Functions | Variables
stm32f4xx_it.c File Reference
`#include "main.h"`
`#include "stm32f4xx_it.h"`
`#include "GUI.h"`

Go to the source code of this file.

## Functions
void | NMI_Handler (void)
| This function handles NMI exception.
void | HardFault_Handler (void)
| This function handles Hard Fault exception.
void | MemManage_Handler (void)
| This function handles Memory Manage exception.
void | BusFault_Handler (void)
| This function handles Bus Fault exception.
void | UsageFault_Handler (void)
| This function handles Usage Fault exception.
void | SVC_Handler (void)
| This function handles SVCall exception.
void | DebugMon_Handler (void)
| This function handles Debug Monitor exception.
void | PendSV_Handler (void)
| This function handles PendSVC exception.
void | SysTick_Handler (void)
| This function handles SysTick Handler.
void | OTG_HS_IRQHandler (void)
| This function handles USB-On-The-Go FS global interrupt request.
void | USARTx_DMA_TX_IRQHandler (void)
| This function handles DMA interrupt request.
void | USARTx_IRQHandler (void)
| This function handles UART interrupt request.
void | TIMx_IRQHandler (void)
| This function handles TIM interrupt request.
void | LTDC_IRQHandler (void)
| This function handles LTDC global interrupt request.

## Variables
PCD_HandleTypeDef | hpcd
UART_HandleTypeDef | UartHandle
TIM_HandleTypeDef | TimHandle
volatile GUI_TIMER_TIME | OS_TimeMS
LTDC_HandleTypeDef | hltdc

## Function Documentation

void BusFault_Handler | ( | void |  | ) |

This function handles Bus Fault exception.

Parameters

  None |

Return values

  None |

Definition at line 101 of file stm32f4xx_it.c.

void DebugMon_Handler | ( | void |  | ) |

This function handles Debug Monitor exception.

Parameters

  None |

Return values

  None |

Definition at line 136 of file stm32f4xx_it.c.

void HardFault_Handler | ( | void |  | ) |

This function handles Hard Fault exception.

Parameters

  None |

Return values

  None |

Definition at line 75 of file stm32f4xx_it.c.

void LTDC_IRQHandler | ( | void |  | ) |

This function handles LTDC global interrupt request.

Parameters

  None |

Return values

  None |

Definition at line 218 of file stm32f4xx_it.c.

void MemManage_Handler | ( | void |  | ) |

This function handles Memory Manage exception.

Parameters

  None |

Return values

  None |

Definition at line 88 of file stm32f4xx_it.c.

void NMI_Handler | ( | void |  | ) |

This function handles NMI exception.

Parameters

  None |

Return values

  None |

Definition at line 66 of file stm32f4xx_it.c.

void OTG_HS_IRQHandler | ( | void |  | ) |

This function handles USB-On-The-Go FS global interrupt request.

Parameters

  None |

Return values

  None |

Definition at line 177 of file stm32f4xx_it.c.

void PendSV_Handler | ( | void |  | ) |

This function handles PendSVC exception.

Parameters

  None |

Return values

  None |

Definition at line 145 of file stm32f4xx_it.c.

void SVC_Handler | ( | void |  | ) |

This function handles SVCall exception.

Parameters

  None |

Return values

  None |

Definition at line 127 of file stm32f4xx_it.c.

void SysTick_Handler | ( | void |  | ) |

This function handles SysTick Handler.

Parameters

  None |

Return values

  None |

Definition at line 154 of file stm32f4xx_it.c.

void TIMx_IRQHandler | ( | void |  | ) |

This function handles TIM interrupt request.

Parameters

  None |

Return values

  None |

Definition at line 208 of file stm32f4xx_it.c.

void UsageFault_Handler | ( | void |  | ) |

This function handles Usage Fault exception.

Parameters

  None |

Return values

  None |

Definition at line 114 of file stm32f4xx_it.c.

void USARTx_DMA_TX_IRQHandler | ( | void |  | ) |

This function handles DMA interrupt request.

Parameters

  None |

Return values

  None |

Definition at line 188 of file stm32f4xx_it.c.

void USARTx_IRQHandler | ( | void |  | ) |

This function handles UART interrupt request.

Parameters

  None |

Return values

  None |

Definition at line 198 of file stm32f4xx_it.c.

## Variable Documentation

PCD_HandleTypeDef hpcd

Definition at line 36 of file usbd_conf.c.

volatile GUI_TIMER_TIME OS_TimeMS

TIM_HandleTypeDef TimHandle

Definition at line 58 of file usbd_cdc_interface.c.

UART_HandleTypeDef UartHandle

Definition at line 56 of file usbd_cdc_interface.c.